using System;
using UnityEngine;
//using UnityEngine.UI;

public class BoneK
{
    public enum BoneOperation
    {
        Scaling,
        Rotation,
        Translation
    }

    public Transform _parent;

    public MainBoneK _mainB;

    public bool _hasMirror;

    public BoneK _mirrorBoneK;

    public string _mirrorBoneName;

    public GameObject _bone;

    public Vector3 _scales;

    public Vector3 _angles;

    public Vector3 _localTranslation;

    public Vector3 _initialLocalScale;

    public Quaternion _initialLocalRotation;

    public Vector3 _initialLocalPosition;

    public Vector3 _initialPosition;

    public UnityEngine.UI.Text _guiItem;

    public string _boneName;

    public int _boneIndex;

    public UnityEngine.UI.Slider _slider;

    public int _currentAxisIndex = 0;

    public BoneOperation _currentBoneOperation = BoneOperation.Scaling;

    public UnityEngine.UI.Text _guiX;

    public UnityEngine.UI.Text _guiY;

    public UnityEngine.UI.Text _guiZ;

    public BoneK(GameObject bone, UnityEngine.UI.Text guiitem, string bonename, int boneIndex, UnityEngine.UI.Slider slider)
    {
        _boneIndex = boneIndex;
        _bone = bone;
        _initialLocalScale = _bone.transform.localScale;
        _initialLocalRotation = _bone.transform.localRotation;
        _initialLocalPosition = bone.transform.localPosition;
        _initialPosition = bone.transform.position;
        _guiItem = guiitem;
        _boneName = bonename;
        _slider = slider;
        _scales = new Vector3(1.0f, 1.0f, 1.0f);
        _angles = new Vector3(0.0f, 0.0f, 0.0f);
        _localTranslation = new Vector3(0.0f, 0.0f, 0.0f);
    }
}
