using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text.RegularExpressions;
using UnityEngine;
using UnityEngine.UI;
using System.Runtime.InteropServices;

public class AdjustBone : MonoBehaviour
{
    public string _pathtofile;

    private Vector2 _screensize;

    private float _vr;

    private Camera _pixelcam;

    private GameObject _gridla;

    private GameObject _maingrid;

    private GameObject _mainlayoutgrid;

    private bool _createdlist;

    private List<MainBoneK> _mainBoneList;

    private string[] _bonenameslist;

    private GameObject _RLoadGrid;

    private GameObject _loadGrid;

    private Font _defaultFont;

    private string _bonelisttext;

    private string[] _savereads;

    private bool _enableRoot;

    private Texture2D _headicon;

    private Camera _cam;

    private string _tempString = "";

    private bool _inputset;

    private bool _inputfloat;

    private bool _focus;

    private Text _updatetext;

    private int _returndoes;

    private bool _editBonk;

    private BoneK _depthbone;

    private MainBoneK _loadingBK = null;

    private GameObject _optionScreen;

    private string _searchvalue = "showall";

    private string _saveval = "default";

    private GameObject _searchField;

    private Button _savelist;

    private Button _loadlist;

    private Button _closelist;

    private float _timer = 1f;

    private bool _liLoaded = false;

    private void Start()
    {
        _bonelisttext = "cf_J_Head_s:none:Head|cf_J_Neck_s:none:Neck|cf_J_Shoulder02_s_L:cf_J_Shoulder02_s_R:Shoulder Left|cf_J_Shoulder02_s_R:cf_J_Shoulder02_s_L:Shoulder Right|cf_J_ArmUp01_s_L:cf_J_ArmUp01_s_R:Arm 1 Left|cf_J_ArmUp01_s_R:cf_J_ArmUp01_s_L:Arm 1 Right|cf_J_ArmUp02_s_L:cf_J_ArmUp02_s_R:Arm 2 Left|cf_J_ArmUp02_s_R:cf_J_ArmUp02_s_L:Arm 2 Right|cf_J_ArmUp03_s_L:cf_J_ArmUp03_s_R:Arm 3 Left|cf_J_ArmUp03_s_R:cf_J_ArmUp03_s_L:Arm 3 Right|cf_J_ArmElboura_s_L:cf_J_ArmElboura_s_R:Arm Elbow Front Left|cf_J_ArmElboura_s_R:cf_J_ArmElboura_s_L:Arm Elbow Front Right|cf_J_ArmElbo_low_s_L:cf_J_ArmElbo_low_s_R:Arm Elbow Back Left|cf_J_ArmElbo_low_s_R:cf_J_ArmElbo_low_s_L:Arm Elbow Back Right|cf_J_ArmLow01_s_L:cf_J_ArmLow01_s_R:Lower Arm 1 Left|cf_J_ArmLow01_s_R:cf_J_ArmLow01_s_L:Lower Arm 1 Right|cf_J_ArmLow02_s_L:cf_J_ArmLow02_s_R:Lower Arm 2 Left|cf_J_ArmLow02_s_R:cf_J_ArmLow02_s_L:Lower Arm 2 Right|cf_J_Hand_s_L:cf_J_Hand_s_R:Hand Left|cf_J_Hand_s_R:cf_J_Hand_s_L:Hand Right|cf_J_Spine03_s:none:Chest|cf_J_Mune00_s_L:cf_J_Mune00_s_R:Boobs 1 Left|cf_J_Mune00_s_R:cf_J_Mune00_s_L:Boobs 1 Right|cf_J_Mune01_s_L:cf_J_Mune01_s_R:Boobs 2 Left|cf_J_Mune01_s_R:cf_J_Mune01_s_L:Boobs 2 Right|cf_J_Mune02_s_L:cf_J_Mune02_s_R:Boobs 3 Left|cf_J_Mune02_s_R:cf_J_Mune02_s_L:Boobs 3 Right|cf_J_Mune03_s_L:cf_J_Mune03_s_R:Boobs 4 Left|cf_J_Mune03_s_R:cf_J_Mune03_s_L:Boobs 4 Right|cf_J_Mune04_s_L:cf_J_Mune04_s_R:Boobs 5 Left|cf_J_Mune04_s_R:cf_J_Mune04_s_L:Boobs 5 Right|cf_J_Mune_Nip01_s_L:cf_J_Mune_Nip01_s_R:Tits 1 Left|cf_J_Mune_Nip01_s_R:cf_J_Mune_Nip01_s_L:Tits 1 Right|cf_J_Mune_Nip02_s_L:cf_J_Mune_Nip02_s_R:Tits 2 Left|cf_J_Mune_Nip02_s_R:cf_J_Mune_Nip02_s_L:Tits 2 Right|cf_J_Spine02_s:none:Rib|cf_J_Spine01_s:none:Waist 1|cf_J_Kosi01_h:none:Hip 1|cf_J_Kosi02_h:none:Hip 2|cf_J_Siri_s_L:cf_J_Siri_s_R:ButtCheek Left|cf_J_Siri_s_R:cf_J_Siri_s_L:ButtCheek Right|cf_J_Kokan_s:none:Pussy|cf_J_LegUpDam_L:cf_J_LegUpDam_R:Upper Side Thigh Left|cf_J_LegUpDam_R:cf_J_LegUpDam_L:Upper Side Thigh Right|cf_J_LegUp01_s_L:cf_J_LegUp01_s_R:Thigh 1 Left|cf_J_LegUp01_s_R:cf_J_LegUp01_s_L:Thigh 1 Right|cf_J_LegUp02_s_L:cf_J_LegUp02_s_R:Thigh 2 Left|cf_J_LegUp02_s_R:cf_J_LegUp02_s_L:Thigh 2 Right|cf_J_LegUp03_s_L:cf_J_LegUp03_s_R:Thigh 3 Left|cf_J_LegUp03_s_R:cf_J_LegUp03_s_L:Thigh 3 Right|cf_J_LegKnee_back_s_L:cf_J_LegKnee_back_s_R:Back Knee Left|cf_J_LegKnee_back_s_R:cf_J_LegKnee_back_s_L:Back Knee Right|cf_J_LegLow01_s_L:cf_J_LegLow01_s_R:Leg 1 Left|cf_J_LegLow01_s_R:cf_J_LegLow01_s_L:Leg 1 right|cf_J_LegLow02_s_L:cf_J_LegLow02_s_R:Leg 2 Left|cf_J_LegLow02_s_R:cf_J_LegLow02_s_L:Leg 2 Right|cf_J_Foot01_L:cf_J_Foot01_R:Foot 1 Left|cf_J_Foot01_R:cf_J_Foot01_L:Foot 2 Right|cf_J_Foot02_L:cf_J_Foot02_R:Foot 2 Left|cf_J_Foot02_R:cf_J_Foot02_L:Foot 2 Right|cf_J_Toes01_L:cf_J_Toes01_R:Toes 1 Left|cf_J_Toes01_R:cf_J_Toes01_L:Toes 1 Right|cf_J_Toes02_L:cf_J_Toes02_R:Toes 2 Left|cf_J_Toes02_R:cf_J_Toes02_L:Toes 2 Right|cm_J_dan101_00:none:Penis 1|cm_J_dan102_00:none:Penis 2|cm_J_dan104_00:none:Penis 3|cm_J_dan106_00:none:Penis 4|cm_J_dan107_00:none:Penis 5|cm_J_dan109_00:none:Penis 6";
        _savereads = _bonelisttext.Split(new char[]
        {
            "|"[0]
        });
        _defaultFont = (Resources.GetBuiltinResource(typeof(Font), "Arial.ttf") as Font);
        _mainBoneList = new List<MainBoneK>();
        UnityEngine.Object.DontDestroyOnLoad(base.gameObject);
        GameObject gameObject = new GameObject();
        UnityEngine.Object.DontDestroyOnLoad(gameObject);
        _maingrid = gameObject;
        gameObject.AddComponent<Canvas>();
        gameObject.AddComponent<CanvasScaler>();
        gameObject.AddComponent<GraphicRaycaster>();
        gameObject.GetComponent<Canvas>().renderMode = RenderMode.ScreenSpaceOverlay;
        _headicon = AdjustBone.LoadPNG(_pathtofile + "hi.fl");
        _screensize = default(Vector2);
        if (GameObject.Find("GUICamera"))
        {
            _screensize.x = (float)Screen.width;
            _screensize.y = (float)Screen.height;
            _pixelcam = GameObject.Find("GUICamera").GetComponent<Camera>();
            GameObject[] array = UnityEngine.Object.FindObjectsOfType(typeof(GameObject)) as GameObject[];
            for (int i = 0; i < array.Length; i++)
            {
                GameObject gameObject2 = array[i];
                if (gameObject2.name == "LeftEyeAnchor" && gameObject2.GetComponent<Camera>())
                {
                    _pixelcam = gameObject2.GetComponent<Camera>();
                    break;
                }
            }
            _screensize.x = _pixelcam.pixelWidth;
            _screensize.y = _pixelcam.pixelHeight;
            _vr = _screensize.x / 4f;
            _cam = GameObject.Find("GUICamera").GetComponent<Camera>();
            _maingrid.GetComponent<Canvas>().renderMode = RenderMode.ScreenSpaceCamera;
            gameObject.layer = LayerMask.NameToLayer("UI");
            _maingrid.GetComponent<Canvas>().worldCamera = GameObject.Find("GUICamera").GetComponent<Camera>();
        }
        else
        {
            _vr = 0f;
            _screensize.x = (float)Screen.width;
            _screensize.y = (float)Screen.height;
            if (GameObject.FindGameObjectWithTag("MainCamera"))
            {
                _cam = GameObject.FindGameObjectWithTag("MainCamera").GetComponent<Camera>();
                _pixelcam = _cam;
            }
        }
        GameObject gameObject3 = new GameObject("grid");
        GameObject gameObject4 = new GameObject("resetbutton");
        gameObject4.transform.parent = gameObject.transform;
        gameObject4.AddComponent<RectTransform>();
        gameObject4.AddComponent<CanvasRenderer>();
        gameObject4.AddComponent<Image>();
        RectTransform component = gameObject4.GetComponent<RectTransform>();
        component.sizeDelta = new Vector2(600f, 400f);
        component.localPosition = new Vector3(0f, 0f, 0f);
        Texture2D texture2D = AdjustBone.LoadPNG(_pathtofile + "gr.fl");
        Vector2 pivot = default(Vector2);
        gameObject4.GetComponent<Image>().sprite = Sprite.Create(texture2D, new Rect(0f, 0f, (float)texture2D.width, (float)texture2D.height), pivot);
        gameObject4.GetComponent<Image>().preserveAspect = true;
        gameObject3.transform.parent = gameObject.transform;
        gameObject3.AddComponent<CanvasRenderer>();
        gameObject3.AddComponent<Image>();
        gameObject3.AddComponent<Mask>();
        gameObject3.GetComponent<Mask>().showMaskGraphic = false;
        RectTransform component2 = gameObject3.GetComponent<RectTransform>();
        component2.sizeDelta = new Vector2(500f, 311.6f);
        component2.localPosition = new Vector3(0f, -5.3f, 0f);
        gameObject3.AddComponent<ScrollRect>();
        GameObject gameObject5 = new GameObject("buttontex");
        gameObject5.AddComponent<RectTransform>();
        gameObject5.AddComponent<CanvasRenderer>();
        RectTransform component3 = gameObject5.GetComponent<RectTransform>();
        component3.sizeDelta = new Vector2(80f, 30f);
        component3.localPosition = new Vector3(-10f, 174f, 0f);
        gameObject5.AddComponent<Image>();
        gameObject5.GetComponent<Image>().color = new Color(0.3f, 0.3f, 0.3f, 0.3f);
        gameObject5.AddComponent<Button>();
        GameObject gameObject6 = new GameObject("buttontext");
        gameObject6.transform.parent = gameObject5.transform;
        gameObject6.AddComponent<RectTransform>();
        RectTransform component4 = gameObject6.GetComponent<RectTransform>();
        component4.sizeDelta = new Vector2(80f, 30f);
        component4.localPosition = new Vector3(0f, 0f, 0f);
        gameObject6.AddComponent<CanvasRenderer>();
        gameObject6.AddComponent<UnityEngine.UI.Text>();
        gameObject6.GetComponent<Text>().font = (Resources.GetBuiltinResource(typeof(Font), "Arial.ttf") as Font);
        gameObject6.GetComponent<Text>().alignment = TextAnchor.MiddleCenter;
        gameObject6.GetComponent<Text>().fontSize = 18;
        gameObject6.GetComponent<Text>().text = "SAVE";
        _savelist = gameObject5.GetComponent<Button>();
        gameObject5.transform.SetParent(gameObject.transform, false);
        GameObject gameObject7 = new GameObject("buttontex");
        gameObject7.AddComponent<RectTransform>();
        gameObject7.AddComponent<CanvasRenderer>();
        RectTransform component5 = gameObject7.GetComponent<RectTransform>();
        component5.sizeDelta = new Vector2(80f, 30f);
        component5.localPosition = new Vector3(100f, 174f, 0f);
        gameObject7.AddComponent<Image>();
        gameObject7.GetComponent<Image>().color = new Color(0.3f, 0.3f, 0.3f, 0.3f);
        gameObject7.AddComponent<Button>();
        GameObject gameObject8 = new GameObject("buttontext");
        gameObject8.transform.parent = gameObject7.transform;
        gameObject8.AddComponent<RectTransform>();
        RectTransform component6 = gameObject8.GetComponent<RectTransform>();
        component6.sizeDelta = new Vector2(80f, 30f);
        component6.localPosition = new Vector3(0f, 0f, 0f);
        gameObject8.AddComponent<CanvasRenderer>();
        gameObject8.AddComponent<Text>();
        gameObject8.GetComponent<Text>().font = (Resources.GetBuiltinResource(typeof(Font), "Arial.ttf") as Font);
        gameObject8.GetComponent<Text>().alignment = TextAnchor.MiddleCenter;
        gameObject8.GetComponent<Text>().fontSize = 18;
        gameObject8.GetComponent<Text>().text = "LOAD";
        _loadlist = gameObject7.GetComponent<Button>();
        gameObject7.transform.SetParent(gameObject.transform, false);
        GameObject gameObject9 = new GameObject("buttontex");
        gameObject9.AddComponent<RectTransform>();
        gameObject9.AddComponent<CanvasRenderer>();
        RectTransform component7 = gameObject9.GetComponent<RectTransform>();
        component7.sizeDelta = new Vector2(80f, 30f);
        component7.localPosition = new Vector3(210f, 174f, 0f);
        gameObject9.AddComponent<Image>();
        gameObject9.GetComponent<Image>().color = new Color(0.3f, 0.3f, 0.3f, 0.3f);
        gameObject9.AddComponent<Button>();
        GameObject gameObject10 = new GameObject("buttontext");
        gameObject10.transform.parent = gameObject9.transform;
        gameObject10.AddComponent<RectTransform>();
        RectTransform component8 = gameObject10.GetComponent<RectTransform>();
        component8.sizeDelta = new Vector2(80f, 30f);
        component8.localPosition = new Vector3(0f, 0f, 0f);
        gameObject10.AddComponent<CanvasRenderer>();
        gameObject10.AddComponent<Text>();
        gameObject10.GetComponent<Text>().font = (Resources.GetBuiltinResource(typeof(Font), "Arial.ttf") as Font);
        gameObject10.GetComponent<Text>().alignment = TextAnchor.MiddleCenter;
        gameObject10.GetComponent<Text>().fontSize = 18;
        gameObject10.GetComponent<Text>().text = "CLOSE";
        _closelist = gameObject9.GetComponent<Button>();
        gameObject9.transform.SetParent(gameObject.transform, false);
        GameObject gameObject11 = new GameObject("buttontext");
        gameObject11.transform.SetParent(gameObject.transform, false);
        gameObject11.AddComponent<RectTransform>();
        RectTransform component9 = gameObject11.GetComponent<RectTransform>();
        component9.sizeDelta = new Vector2(340f, 20f);
        component9.localPosition = new Vector3(80f, -175f, 0f);
        gameObject11.AddComponent<CanvasRenderer>();
        gameObject11.AddComponent<Image>();
        gameObject11.AddComponent<Button>();
        GameObject searchset = new GameObject("buttontext");
        searchset.transform.SetParent(gameObject11.transform, false);
        searchset.AddComponent<RectTransform>();
        RectTransform component10 = searchset.GetComponent<RectTransform>();
        component10.sizeDelta = new Vector2(340f, 20f);
        component10.localPosition = new Vector3(0f, 0f, 0f);
        searchset.AddComponent<CanvasRenderer>();
        searchset.AddComponent<Text>();
        searchset.GetComponent<Text>().font = (Resources.GetBuiltinResource(typeof(Font), "Arial.ttf") as Font);
        searchset.GetComponent<Text>().alignment = TextAnchor.MiddleCenter;
        searchset.GetComponent<Text>().fontSize = 13;
        searchset.GetComponent<Text>().color = new Color(1f, 0f, 0.7f, 1f);
        searchset.GetComponent<Text>().text = "Search bones...";
        gameObject11.GetComponent<Button>().onClick.AddListener(delegate
        {
            Focus(3, searchset.GetComponent<Text>(), false);
        });
        _searchField = searchset;
        GameObject gameObject12 = new GameObject("gridlayout");
        _mainlayoutgrid = gameObject12;
        gameObject12.transform.parent = gameObject3.transform;
        gameObject12.AddComponent<GridLayoutGroup>();
        gameObject12.AddComponent<ContentSizeFitter>();
        gameObject12.GetComponent<ContentSizeFitter>().horizontalFit = ContentSizeFitter.FitMode.Unconstrained;
        gameObject12.GetComponent<ContentSizeFitter>().verticalFit = ContentSizeFitter.FitMode.PreferredSize;
        gameObject12.GetComponent<GridLayoutGroup>().spacing = new Vector2(0f, 0f);
        gameObject12.GetComponent<GridLayoutGroup>().cellSize = new Vector2(500f, 50f);
        gameObject12.GetComponent<GridLayoutGroup>().constraintCount = 1;
        gameObject12.GetComponent<GridLayoutGroup>().startAxis = GridLayoutGroup.Axis.Vertical;
        gameObject12.GetComponent<GridLayoutGroup>().childAlignment = TextAnchor.UpperCenter;
        gameObject12.GetComponent<GridLayoutGroup>().constraint = GridLayoutGroup.Constraint.FixedColumnCount;
        RectTransform component11 = gameObject12.GetComponent<RectTransform>();
        component11.sizeDelta = new Vector2(500f, 300f);
        component11.localPosition = new Vector3(0f, 0f, 0f);
        _gridla = gameObject12;
        GameObject gameObject13 = new GameObject("buttontext");
        gameObject13.transform.parent = gameObject.transform;
        gameObject13.AddComponent<RectTransform>();
        RectTransform component12 = gameObject13.GetComponent<RectTransform>();
        component12.sizeDelta = new Vector2(130f, 20f);
        component12.localPosition = new Vector3(-190f, -175f, 0f);
        gameObject13.AddComponent<CanvasRenderer>();
        gameObject13.AddComponent<Text>();
        gameObject13.GetComponent<Text>().font = _defaultFont;
        gameObject13.GetComponent<Text>().alignment = TextAnchor.LowerCenter;
        gameObject13.GetComponent<Text>().fontSize = 13;
        gameObject13.GetComponent<Text>().text = "HF-IMG MODS / 1.2";
        gameObject3.GetComponent<ScrollRect>().content = component11;
        gameObject3.GetComponent<ScrollRect>().horizontal = false;
        gameObject3.GetComponent<ScrollRect>().vertical = true;
        gameObject3.GetComponent<ScrollRect>().movementType = ScrollRect.MovementType.Clamped;
        gameObject3.GetComponent<ScrollRect>().inertia = false;
        gameObject3.GetComponent<ScrollRect>().scrollSensitivity = 15f;
        component11.localPosition = new Vector3(0f, 0f, 0f);
        _maingrid.SetActive(false);
        _createdlist = true;
        string text = File.ReadAllText(_pathtofile + "Default.li");
        _bonenameslist = text.Split(new string[]
        {
            "\r\n",
            "\n"
        }, StringSplitOptions.None);
        GameObject gameObject14 = new GameObject("yeah");
        _optionScreen = gameObject14;
        gameObject14.transform.SetParent(gameObject.transform, false);
        gameObject14.AddComponent<RectTransform>();
        gameObject14.AddComponent<CanvasRenderer>();
        gameObject14.AddComponent<Image>();
        gameObject14.GetComponent<Image>().color = new Color(0.6f, 0f, 0.3f, 0.5f);
        RectTransform component13 = gameObject14.GetComponent<RectTransform>();
        component13.sizeDelta = new Vector2(600f, 400f);
        component13.localPosition = new Vector3(0f, 0f, 0f);
        GameObject gameObject15 = new GameObject("gridLoad");
        _RLoadGrid = gameObject15;
        gameObject15.transform.parent = gameObject14.transform;
        gameObject15.AddComponent<CanvasRenderer>();
        gameObject15.AddComponent<Image>();
        gameObject15.AddComponent<Mask>();
        gameObject15.GetComponent<Mask>().showMaskGraphic = false;
        RectTransform component14 = gameObject15.GetComponent<RectTransform>();
        component14.sizeDelta = new Vector2(500f, 311.6f);
        component14.localPosition = new Vector3(0f, -5.3f, 0f);
        gameObject15.AddComponent<ScrollRect>();
        GameObject gameObject16 = new GameObject("gridlayout");
        gameObject16.transform.parent = gameObject15.transform;
        _loadGrid = gameObject16;
        gameObject16.AddComponent<GridLayoutGroup>();
        gameObject16.AddComponent<ContentSizeFitter>();
        gameObject16.GetComponent<ContentSizeFitter>().horizontalFit = ContentSizeFitter.FitMode.Unconstrained;
        gameObject16.GetComponent<ContentSizeFitter>().verticalFit = ContentSizeFitter.FitMode.PreferredSize;
        gameObject16.GetComponent<GridLayoutGroup>().spacing = new Vector2(0f, 5f);
        gameObject16.GetComponent<GridLayoutGroup>().cellSize = new Vector2(500f, 50f);
        gameObject16.GetComponent<GridLayoutGroup>().constraintCount = 1;
        gameObject16.GetComponent<GridLayoutGroup>().startAxis = GridLayoutGroup.Axis.Vertical;
        gameObject16.GetComponent<GridLayoutGroup>().childAlignment = TextAnchor.UpperCenter;
        gameObject16.GetComponent<GridLayoutGroup>().constraint = GridLayoutGroup.Constraint.FixedColumnCount;
        RectTransform component15 = gameObject16.GetComponent<RectTransform>();
        component15.sizeDelta = new Vector2(500f, 300f);
        component15.localPosition = new Vector3(0f, 0f, 0f);
        gameObject15.GetComponent<ScrollRect>().content = component15;
        gameObject15.GetComponent<ScrollRect>().horizontal = false;
        gameObject15.GetComponent<ScrollRect>().vertical = true;
        gameObject15.GetComponent<ScrollRect>().movementType = ScrollRect.MovementType.Clamped;
        gameObject15.GetComponent<ScrollRect>().inertia = false;
        gameObject15.GetComponent<ScrollRect>().scrollSensitivity = 15f;
        component14.localPosition = new Vector3(0f, 0f, 0f);
        _RLoadGrid.SetActive(false);
    }

    private static float SliderToAngle(float value)
    {
        return (value - 2.0f) *40.0f;
    }

    private static float AngleToSlider(float angle)
    {
        return angle / 40.0f + 2.0f;
    }

    private static float SliderToTranslation(float value)
    {
        return (value - 2.0f) * 0.05f;
    }

    private static float TranslationToSlider(float translation)
    {
        return translation / 0.05f + 2.0f;
    }

    private static string GetOperationSymbol(BoneK.BoneOperation boneOperation)
    {
        switch (boneOperation)
        {
            case BoneK.BoneOperation.Scaling: return "[ ]";
            case BoneK.BoneOperation.Rotation: return "[o]";
            case BoneK.BoneOperation.Translation: return "[-]";
        }

        return "";
    }

    private static float GetSliderValue(BoneK bone)
    {
        switch(bone._currentBoneOperation)
        {
            case BoneK.BoneOperation.Scaling: return bone._scales[bone._currentAxisIndex];
            case BoneK.BoneOperation.Rotation: return AngleToSlider(bone._angles[bone._currentAxisIndex]);
            case BoneK.BoneOperation.Translation: return TranslationToSlider(bone._localTranslation[bone._currentAxisIndex]);
        }

        return 0.0f;
    }

    private static void AdjustAxis(BoneK bone, string axis)
    {
        bone._guiX.text = "x";
        bone._guiY.text = "y";
        bone._guiZ.text = "z";

        if (axis == "X")
        {
            bone._currentAxisIndex = 0;
            bone._guiX.text = "X";
        }
        else if (axis == "Y")
        {
            bone._currentAxisIndex = 1;
            bone._guiY.text = "Y";
        }
        else if (axis == "Z")
        {
            bone._currentAxisIndex = 2;
            bone._guiZ.text = "Z";
        }

        bone._slider.value = GetSliderValue(bone);
        bone._guiItem.text = GetOperationSymbol(bone._currentBoneOperation);
        CheckBoneLink(bone);
    }

    private static void CheckBoneLink(BoneK bone)
    {
        if (!bone._bone)
        {
            Transform transform = bone._parent.GetComponentsInChildren<Transform>().FirstOrDefault((Transform t) => t.name == bone._boneName);

            if (transform)
            {
                bone._bone = transform.gameObject;
            }
        }

        if (!bone._mainB.bonelist.Contains(bone))
        {
            bone._mainB.bonelist.Add(bone);
        }
    }

    private void ScaleMirror(BoneK bone)
    {
        if (!bone._hasMirror)
        {
            return;
        }

        var mirrorBone = bone._mirrorBoneK;

        switch (bone._currentBoneOperation)
        {
            case BoneK.BoneOperation.Scaling:
            {
                mirrorBone._scales = bone._scales;

                break;
            }

            case BoneK.BoneOperation.Rotation:
            {
                mirrorBone._angles.x = bone._angles.x;
                mirrorBone._angles.y = -bone._angles.y;
                mirrorBone._angles.z = -bone._angles.z;

                break;
            }

            case BoneK.BoneOperation.Translation:
            {
                mirrorBone._localTranslation.x = -bone._localTranslation.x;
                mirrorBone._localTranslation.y = bone._localTranslation.y;
                mirrorBone._localTranslation.z = bone._localTranslation.z;

                break;
            }
        }

        mirrorBone._slider.value = GetSliderValue(mirrorBone);
        CheckBoneLink(mirrorBone);
    }

    private void RecreateList(Transform target, MainBoneK MainBK)
    {
        MainBK.debonelist = new List<BoneK>();
        if (_createdlist)
        {
            foreach (Transform transform in _mainlayoutgrid.transform)
            {
                UnityEngine.Object.Destroy(transform.gameObject);
            }
            foreach (Transform transform2 in _optionScreen.transform)
            {
                if (transform2.name != "gridLoad")
                {
                    UnityEngine.Object.Destroy(transform2.gameObject);
                }
            }
            if (GameObject.Find("GUICamera"))
            {
                _maingrid.GetComponent<Canvas>().renderMode = RenderMode.ScreenSpaceCamera;
                _maingrid.GetComponent<Canvas>().worldCamera = GameObject.Find("GUICamera").GetComponent<Camera>();
            }
            else if (GameObject.FindGameObjectWithTag("MainCamera"))
            {
                _cam = GameObject.FindGameObjectWithTag("MainCamera").GetComponent<Camera>();
            }
            if (target)
            {
                _focus = false;
                _inputset = false;
                _editBonk = false;
                int num = 0;
                GameObject gameObject = new GameObject("yeah");
                gameObject.transform.SetParent(_optionScreen.transform, false);
                gameObject.transform.SetAsFirstSibling();
                gameObject.AddComponent<RectTransform>();
                gameObject.AddComponent<CanvasRenderer>();
                gameObject.AddComponent<Image>();
                RectTransform component = gameObject.GetComponent<RectTransform>();
                component.sizeDelta = new Vector2(600f, 400f);
                component.localPosition = new Vector3(0f, 0f, 0f);
                gameObject.GetComponent<Image>().color = new Color(0.8f, 0.8f, 0.8f, 0.8f);
                GameObject Inputfield = new GameObject("inputfield");
                Inputfield.transform.SetParent(gameObject.transform, false);
                Inputfield.AddComponent<RectTransform>();
                Inputfield.AddComponent<CanvasRenderer>();
                Inputfield.AddComponent<Image>();
                Inputfield.AddComponent<Button>();
                RectTransform component2 = Inputfield.GetComponent<RectTransform>();
                component2.sizeDelta = new Vector2(300f, 60f);
                component2.localPosition = new Vector3(0f, 0f, 0f);
                GameObject inputfieldtext = new GameObject("yeah");
                inputfieldtext.transform.SetParent(Inputfield.transform, false);
                inputfieldtext.AddComponent<RectTransform>();
                RectTransform component3 = Inputfield.GetComponent<RectTransform>();
                component3.sizeDelta = new Vector2(300f, 60f);
                component3.localPosition = new Vector3(0f, 0f, 0f);
                inputfieldtext.AddComponent<CanvasRenderer>();
                inputfieldtext.AddComponent<Text>();
                inputfieldtext.GetComponent<Text>().font = (Resources.GetBuiltinResource(typeof(Font), "Arial.ttf") as Font);
                inputfieldtext.GetComponent<Text>().alignment = TextAnchor.MiddleCenter;
                inputfieldtext.GetComponent<Text>().fontSize = 12;
                inputfieldtext.GetComponent<Text>().supportRichText = false;
                inputfieldtext.GetComponent<Text>().text = "";
                inputfieldtext.GetComponent<Text>().color = new Color(1f, 0f, 0.7f, 1f);
                GameObject IKlinkbutton = new GameObject("buttontex");
                IKlinkbutton.AddComponent<RectTransform>();
                IKlinkbutton.AddComponent<CanvasRenderer>();
                RectTransform component4 = IKlinkbutton.GetComponent<RectTransform>();
                component4.sizeDelta = new Vector2(150f, 40f);
                component4.localPosition = new Vector3(0f, -50f, 0f);
                IKlinkbutton.AddComponent<Image>();
                IKlinkbutton.GetComponent<Image>().color = new Color(0.3f, 0.3f, 0.3f, 0.3f);
                IKlinkbutton.AddComponent<Button>();
                GameObject gameObject2 = new GameObject("buttontext");
                gameObject2.transform.parent = IKlinkbutton.transform;
                gameObject2.AddComponent<RectTransform>();
                RectTransform component5 = gameObject2.GetComponent<RectTransform>();
                component5.sizeDelta = new Vector2(80f, 40f);
                component5.localPosition = new Vector3(0f, 0f, 0f);
                gameObject2.AddComponent<CanvasRenderer>();
                gameObject2.AddComponent<Text>();
                gameObject2.GetComponent<Text>().font = (Resources.GetBuiltinResource(typeof(Font), "Arial.ttf") as Font);
                gameObject2.GetComponent<Text>().alignment = TextAnchor.MiddleCenter;
                gameObject2.GetComponent<Text>().fontSize = 18;
                gameObject2.GetComponent<Text>().text = "Mirror Value";
                IKlinkbutton.GetComponent<Button>().onClick.AddListener(delegate
                {
                    ScaleMirror(_depthbone);
                });
                IKlinkbutton.transform.SetParent(gameObject.transform, false);
                GameObject OKputbutton = new GameObject("buttontex");
                OKputbutton.AddComponent<RectTransform>();
                OKputbutton.AddComponent<CanvasRenderer>();
                RectTransform component6 = OKputbutton.GetComponent<RectTransform>();
                component6.sizeDelta = new Vector2(150f, 40f);
                component6.localPosition = new Vector3(0f, -100f, 0f);
                OKputbutton.AddComponent<Image>();
                OKputbutton.GetComponent<Image>().color = new Color(0.3f, 0.3f, 0.3f, 0.3f);
                OKputbutton.AddComponent<Button>();
                GameObject gameObject3 = new GameObject("buttontext");
                gameObject3.transform.parent = OKputbutton.transform;
                gameObject3.AddComponent<RectTransform>();
                RectTransform component7 = gameObject3.GetComponent<RectTransform>();
                component7.sizeDelta = new Vector2(80f, 40f);
                component7.localPosition = new Vector3(0f, 0f, 0f);
                gameObject3.AddComponent<CanvasRenderer>();
                gameObject3.AddComponent<Text>();
                gameObject3.GetComponent<Text>().font = (Resources.GetBuiltinResource(typeof(Font), "Arial.ttf") as Font);
                gameObject3.GetComponent<Text>().alignment = TextAnchor.MiddleCenter;
                gameObject3.GetComponent<Text>().fontSize = 18;
                gameObject3.GetComponent<Text>().text = "SAVE";
                OKputbutton.transform.SetParent(gameObject.transform, false);
                OKputbutton.GetComponent<Button>().onClick.AddListener(delegate
                {
                    Savadata(MainBK.bonelist);
                });
                GameObject gameObject4 = new GameObject("buttontex");
                gameObject4.AddComponent<RectTransform>();
                gameObject4.AddComponent<CanvasRenderer>();
                RectTransform component8 = gameObject4.GetComponent<RectTransform>();
                component8.sizeDelta = new Vector2(80f, 30f);
                component8.localPosition = new Vector3(210f, 174f, 0f);
                gameObject4.AddComponent<Image>();
                gameObject4.GetComponent<Image>().color = new Color(0.3f, 0.3f, 0.3f, 0.3f);
                gameObject4.AddComponent<Button>();
                GameObject gameObject5 = new GameObject("buttontext");
                gameObject5.transform.parent = gameObject4.transform;
                gameObject5.AddComponent<RectTransform>();
                RectTransform component9 = gameObject5.GetComponent<RectTransform>();
                component9.sizeDelta = new Vector2(80f, 40f);
                component9.localPosition = new Vector3(0f, 0f, 0f);
                gameObject5.AddComponent<CanvasRenderer>();
                gameObject5.AddComponent<Text>();
                gameObject5.GetComponent<Text>().font = (Resources.GetBuiltinResource(typeof(Font), "Arial.ttf") as Font);
                gameObject5.GetComponent<Text>().alignment = TextAnchor.MiddleCenter;
                gameObject5.GetComponent<Text>().fontSize = 18;
                gameObject5.GetComponent<Text>().text = "CLOSE";
                gameObject4.transform.SetParent(gameObject.transform, false);
                gameObject4.GetComponent<Button>().onClick.AddListener(delegate
                {
                    _optionScreen.SetActive(false);
                    _editBonk = false;
                    OKputbutton.SetActive(false);
                    _RLoadGrid.SetActive(false);
                });
                _optionScreen.SetActive(false);
                _searchField.GetComponent<Text>().text = "Search bones...";
                _searchvalue = "showall";
                _savelist.onClick.AddListener(delegate
                {
                    _optionScreen.SetActive(true);
                    if (OKputbutton)
                    {
                        OKputbutton.SetActive(true);
                        IKlinkbutton.SetActive(false);
                        Inputfield.SetActive(true);
                        inputfieldtext.GetComponent<Text>().text = "Enter Save Name : WILL OVERWRITE IF EXISTS!";
                        Inputfield.GetComponent<Button>().onClick.AddListener(delegate
                        {
                            Focus(2, inputfieldtext.GetComponent<Text>(), false);
                        });
                    }
                });
                _loadlist.onClick.AddListener(delegate
                {
                    _optionScreen.SetActive(true);
                    if (OKputbutton)
                    {
                        OKputbutton.SetActive(false);
                        IKlinkbutton.SetActive(false);
                        Inputfield.SetActive(false);
                        _RLoadGrid.SetActive(true);
                    }
                    Loaddata(false, "", MainBK);
                });
                _closelist.onClick.AddListener(delegate
                {
                    _optionScreen.SetActive(false);
                    _maingrid.SetActive(false);
                });
                OKputbutton.SetActive(false);
                _RLoadGrid.SetActive(false);
                string[] array = _savereads;
                for (int i = 0; i < array.Length; i++)
                {
                    string text = array[i];
                    string[] array2 = text.Split(new char[]
                    {
                        ":"[0]
                    });
                    string yeayeah = array2[0];
                    if (target.GetComponentsInChildren<Transform>().FirstOrDefault((Transform t) => t.name == yeayeah))
                    {
                        Transform transform3 = target.GetComponentsInChildren<Transform>().FirstOrDefault((Transform t) => t.name == yeayeah);
                        GameObject gameObject6 = new GameObject(array2[2] + "-tempname");
                        gameObject6.AddComponent<RectTransform>();
                        gameObject6.AddComponent<CanvasRenderer>();
                        gameObject6.AddComponent<Image>();
                        gameObject6.GetComponent<Image>().color = new Color(0.2f, 0.2f, 0.2f, 0.2f);
                        GameObject gameObject7 = new GameObject("buttontex");
                        gameObject7.transform.parent = gameObject6.transform;
                        gameObject7.AddComponent<RectTransform>();
                        gameObject7.AddComponent<CanvasRenderer>();
                        gameObject7.AddComponent<Button>();
                        RectTransform component10 = gameObject7.GetComponent<RectTransform>();
                        component10.sizeDelta = new Vector2(170f, 20f);
                        component10.localPosition = new Vector3(-165f, 0f, 0f);
                        GameObject gameObject8 = new GameObject("buttontext");
                        gameObject8.transform.parent = gameObject7.transform;
                        gameObject8.AddComponent<RectTransform>();
                        RectTransform component11 = gameObject8.GetComponent<RectTransform>();
                        component11.sizeDelta = new Vector2(170f, 20f);
                        component11.localPosition = new Vector3(0f, 0f, 0f);
                        gameObject8.AddComponent<CanvasRenderer>();
                        gameObject8.AddComponent<Text>();
                        gameObject8.GetComponent<Text>().font = _defaultFont;
                        gameObject8.GetComponent<Text>().alignment = TextAnchor.MiddleLeft;
                        gameObject8.GetComponent<Text>().fontSize = 13;
                        gameObject8.GetComponent<Text>().text = "  " + array2[2];
                        GameObject gameObject9 = new GameObject("buttontex");
                        gameObject9.transform.parent = gameObject6.transform;
                        gameObject9.AddComponent<RectTransform>();
                        gameObject9.AddComponent<CanvasRenderer>();
                        RectTransform component12 = gameObject9.GetComponent<RectTransform>();
                        component12.sizeDelta = new Vector2(40f, 40f);
                        component12.localPosition = new Vector3(60f, 0f, 0f);
                        gameObject9.AddComponent<Image>();
                        gameObject9.GetComponent<Image>().color = new Color(0.3f, 0.3f, 0.3f, 0.3f);
                        gameObject9.AddComponent<Button>();
                        GameObject gameObject10 = new GameObject("buttontext");
                        gameObject10.transform.parent = gameObject9.transform;
                        gameObject10.AddComponent<RectTransform>();
                        RectTransform component13 = gameObject10.GetComponent<RectTransform>();
                        component13.sizeDelta = new Vector2(40f, 40f);
                        component13.localPosition = new Vector3(0f, 0f, 0f);
                        gameObject10.AddComponent<CanvasRenderer>();
                        gameObject10.AddComponent<Text>();
                        gameObject10.GetComponent<Text>().font = _defaultFont;
                        gameObject10.GetComponent<Text>().alignment = TextAnchor.MiddleCenter;
                        gameObject10.GetComponent<Text>().fontSize = 18;
                        gameObject10.GetComponent<Text>().text = GetOperationSymbol(BoneK.BoneOperation.Scaling);
                        GameObject gameObject11 = new GameObject("buttontex");
                        gameObject11.transform.parent = gameObject6.transform;
                        gameObject11.AddComponent<RectTransform>();
                        gameObject11.AddComponent<CanvasRenderer>();
                        RectTransform component14 = gameObject11.GetComponent<RectTransform>();
                        component14.sizeDelta = new Vector2(40f, 40f);
                        component14.localPosition = new Vector3(-60f, 0f, 0f);
                        gameObject11.AddComponent<Image>();
                        gameObject11.GetComponent<Image>().color = new Color(0.3f, 0.3f, 0.3f, 0.3f);
                        gameObject11.AddComponent<Button>();
                        GameObject gameObject12 = new GameObject("buttontext");
                        gameObject12.transform.parent = gameObject11.transform;
                        gameObject12.AddComponent<RectTransform>();
                        RectTransform component15 = gameObject12.GetComponent<RectTransform>();
                        component15.sizeDelta = new Vector2(40f, 40f);
                        component15.localPosition = new Vector3(0f, 0f, 0f);
                        gameObject12.AddComponent<CanvasRenderer>();
                        gameObject12.AddComponent<Text>();
                        gameObject12.GetComponent<Text>().font = (Resources.GetBuiltinResource(typeof(Font), "Arial.ttf") as Font);
                        gameObject12.GetComponent<Text>().alignment = TextAnchor.MiddleCenter;
                        gameObject12.GetComponent<Text>().fontSize = 18;
                        gameObject12.GetComponent<Text>().text = "X";
                        GameObject gameObject13 = new GameObject("buttontex");
                        gameObject13.transform.parent = gameObject6.transform;
                        gameObject13.AddComponent<RectTransform>();
                        gameObject13.AddComponent<CanvasRenderer>();
                        RectTransform component16 = gameObject13.GetComponent<RectTransform>();
                        component16.sizeDelta = new Vector2(40f, 40f);
                        component16.localPosition = new Vector3(-20f, 0f, 0f);
                        gameObject13.AddComponent<Image>();
                        gameObject13.GetComponent<Image>().color = new Color(0.3f, 0.3f, 0.3f, 0.3f);
                        gameObject13.AddComponent<Button>();
                        GameObject gameObject14 = new GameObject("buttontext");
                        gameObject14.transform.parent = gameObject13.transform;
                        gameObject14.AddComponent<RectTransform>();
                        RectTransform component17 = gameObject14.GetComponent<RectTransform>();
                        component17.sizeDelta = new Vector2(40f, 40f);
                        component17.localPosition = new Vector3(0f, 0f, 0f);
                        gameObject14.AddComponent<CanvasRenderer>();
                        gameObject14.AddComponent<Text>();
                        gameObject14.GetComponent<Text>().font = (Resources.GetBuiltinResource(typeof(Font), "Arial.ttf") as Font);
                        gameObject14.GetComponent<Text>().alignment = TextAnchor.MiddleCenter;
                        gameObject14.GetComponent<Text>().fontSize = 18;
                        gameObject14.GetComponent<Text>().text = "y";
                        GameObject gameObject15 = new GameObject("buttontex");
                        gameObject15.transform.parent = gameObject6.transform;
                        gameObject15.AddComponent<RectTransform>();
                        gameObject15.AddComponent<CanvasRenderer>();
                        RectTransform component18 = gameObject15.GetComponent<RectTransform>();
                        component18.sizeDelta = new Vector2(40f, 40f);
                        component18.localPosition = new Vector3(20f, 0f, 0f);
                        gameObject15.AddComponent<Image>();
                        gameObject15.GetComponent<Image>().color = new Color(0.3f, 0.3f, 0.3f, 0.3f);
                        gameObject15.AddComponent<Button>();
                        GameObject gameObject16 = new GameObject("buttontext");
                        gameObject16.transform.parent = gameObject15.transform;
                        gameObject16.AddComponent<RectTransform>();
                        RectTransform component19 = gameObject16.GetComponent<RectTransform>();
                        component19.sizeDelta = new Vector2(40f, 40f);
                        component19.localPosition = new Vector3(0f, 0f, 0f);
                        gameObject16.AddComponent<CanvasRenderer>();
                        gameObject16.AddComponent<Text>();
                        gameObject16.GetComponent<Text>().font = (Resources.GetBuiltinResource(typeof(Font), "Arial.ttf") as Font);
                        gameObject16.GetComponent<Text>().alignment = TextAnchor.MiddleCenter;
                        gameObject16.GetComponent<Text>().fontSize = 18;
                        gameObject16.GetComponent<Text>().text = "z";
                        GameObject gameObject17 = new GameObject("buttontex");
                        gameObject17.transform.parent = gameObject6.transform;
                        gameObject17.AddComponent<RectTransform>();
                        gameObject17.AddComponent<CanvasRenderer>();
                        RectTransform component20 = gameObject17.GetComponent<RectTransform>();
                        component20.sizeDelta = new Vector2(170f, 40f);
                        component20.localPosition = new Vector3(165f, 0f, 0f);
                        gameObject17.AddComponent<Image>();
                        gameObject17.GetComponent<Image>().color = new Color(0.3f, 0.3f, 0.3f, 0.3f);
                        GameObject gameObject18 = new GameObject("buttontexs");
                        gameObject18.transform.parent = gameObject17.transform;
                        gameObject18.AddComponent<RectTransform>();
                        RectTransform component21 = gameObject18.GetComponent<RectTransform>();
                        component21.sizeDelta = new Vector2(150f, 20f);
                        component21.localPosition = new Vector3(0f, 0f, 0f);
                        gameObject18.AddComponent<Slider>();
                        GameObject gameObject19 = new GameObject("buttontexs");
                        gameObject19.transform.parent = gameObject18.transform;
                        gameObject19.AddComponent<RectTransform>();
                        gameObject19.AddComponent<CanvasRenderer>();
                        RectTransform component22 = gameObject19.GetComponent<RectTransform>();
                        component22.sizeDelta = new Vector2(0f, 10f);
                        component22.localPosition = new Vector3(0f, 0f, 0f);
                        component22.anchorMin = new Vector2(0f, 0.5f);
                        component22.anchorMax = new Vector2(1f, 0.5f);
                        gameObject19.AddComponent<Image>();
                        gameObject19.GetComponent<Image>().color = new Color(0.3f, 0.3f, 0.3f, 0.3f);
                        GameObject gameObject20 = new GameObject("buttontexs");
                        gameObject20.transform.parent = gameObject18.transform;
                        gameObject20.AddComponent<RectTransform>();
                        RectTransform component23 = gameObject20.GetComponent<RectTransform>();
                        component23.sizeDelta = new Vector2(0f, 0f);
                        component23.localPosition = new Vector3(0f, 0f, 0f);
                        component23.anchorMin = new Vector2(0f, 0f);
                        component23.anchorMax = new Vector2(1f, 1f);
                        GameObject gameObject21 = new GameObject("buttontexs");
                        gameObject21.transform.parent = gameObject20.transform;
                        gameObject21.AddComponent<RectTransform>();
                        gameObject21.AddComponent<CanvasRenderer>();
                        RectTransform component24 = gameObject21.GetComponent<RectTransform>();
                        component24.sizeDelta = new Vector2(20f, 0f);
                        component24.localPosition = new Vector3(0f, 0f, 0f);
                        component24.anchorMin = new Vector2(0f, 0f);
                        component24.anchorMax = new Vector2(0f, 1f);
                        gameObject21.AddComponent<Image>();
                        gameObject21.GetComponent<Image>().color = new Color(0.8f, 0.3f, 0.6f, 1f);
                        gameObject18.GetComponent<Slider>().targetGraphic = gameObject21.GetComponent<Image>();
                        gameObject18.GetComponent<Slider>().handleRect = gameObject21.GetComponent<RectTransform>();
                        gameObject18.GetComponent<Slider>().value = 1f;
                        gameObject18.GetComponent<Slider>().minValue = 0.001f;
                        gameObject18.GetComponent<Slider>().maxValue = 4.0f;
                        BoneK bone = new BoneK(transform3.gameObject, gameObject10.GetComponent<Text>(), transform3.name, num, gameObject18.GetComponent<Slider>());
                        bone._mainB = MainBK;
                        bone._parent = target;
                        bool flag = false;
                        foreach (BoneK current in MainBK.bonelist)
                        {
                            if (current._bone.transform.name == yeayeah)
                            {
                                bone = current;
                                flag = true;
                                break;
                            }
                        }
                        if (array2[1] != "none")
                        {
                            MainBK.debonelist.Add(bone);
                            bone._hasMirror = true;
                            bone._mirrorBoneName = array2[1];
                            foreach (BoneK current2 in MainBK.debonelist)
                            {
                                if (current2._mirrorBoneName == bone._boneName)
                                {
                                    bone._mirrorBoneK = current2;
                                    current2._mirrorBoneK = bone;
                                    break;
                                }
                            }
                        }
                        bone._guiItem = gameObject10.GetComponent<Text>();
                        bone._guiX = gameObject12.GetComponent<Text>();
                        bone._guiY = gameObject14.GetComponent<Text>();
                        bone._guiZ = gameObject16.GetComponent<Text>();

                        gameObject9.GetComponent<Button>().onClick.AddListener(delegate
                        {
                            switch(bone._currentBoneOperation)
                            {
                                case BoneK.BoneOperation.Scaling: bone._currentBoneOperation = BoneK.BoneOperation.Rotation; break;
                                case BoneK.BoneOperation.Rotation: bone._currentBoneOperation = BoneK.BoneOperation.Translation; break;
                                case BoneK.BoneOperation.Translation: bone._currentBoneOperation = BoneK.BoneOperation.Scaling; break;
                            }

                            bone._guiItem.text = GetOperationSymbol(bone._currentBoneOperation);
                            bone._slider.value = GetSliderValue(bone);
                        });

                        bone._currentAxisIndex = 0;
                        bone._currentBoneOperation = BoneK.BoneOperation.Scaling;

                        if (flag)
                        {
                            bone._guiX.text = "X";
                            bone._guiY.text = "y";
                            bone._guiZ.text = "z";
                            bone._guiItem.text = GetOperationSymbol(bone._currentBoneOperation);
                            bone._slider = gameObject18.GetComponent<Slider>();
                            gameObject18.GetComponent<Slider>().value = bone._scales.x;
                        }
                        else
                        {
                            string[] array3 = _bonenameslist;
                            for (int j = 0; j < array3.Length; j++)
                            {
                                string text2 = array3[j];
                                string[] array4 = text2.Split(new char[]
                                {
                                    " "[0]
                                });
                                if (transform3.name == array4[0] && num == int.Parse(array4[1]))
                                {
                                    bone._angles = new Vector3(0.0f, 0.0f, 0.0f);

                                    if (array4.Length == 6)
                                    {
                                        var scale = float.Parse(array4[2]);

                                        gameObject18.GetComponent<Slider>().value = scale;
                                        bone._scales.x = array4[3] == "1" ? scale : 1.0f;
                                        bone._scales.y = array4[4] == "1" ? scale : 1.0f;
                                        bone._scales.z = array4[5] == "1" ? scale : 1.0f;
                                    }
                                    else
                                    {
                                        bone._scales.x = float.Parse(array4[2]);
                                        bone._scales.y = float.Parse(array4[3]);
                                        bone._scales.z = float.Parse(array4[4]);

                                        if (array4.Length == 8)
                                        {
                                            bone._angles.x = float.Parse(array4[5]);
                                            bone._angles.y = float.Parse(array4[6]);
                                            bone._angles.z = float.Parse(array4[7]);
                                        }

                                        gameObject18.GetComponent<Slider>().value = bone._scales.x;
                                    }

                                    bone._guiX.text = "X";
                                    bone._guiY.text = "y";
                                    bone._guiZ.text = "z";
                                    CheckBoneLink(bone);
                                }
                            }
                        }
                        gameObject7.GetComponent<Button>().onClick.AddListener(delegate
                        {
                            _optionScreen.SetActive(true);
                            _editBonk = true;
                            _depthbone = bone;
                            Inputfield.SetActive(true);
                            inputfieldtext.GetComponent<Text>().text = string.Concat(bone._slider.value);
                            Inputfield.GetComponent<Button>().onClick.AddListener(delegate
                            {
                                Focus(1, inputfieldtext.GetComponent<Text>(), true);
                            });
                            IKlinkbutton.SetActive(true);
                        });
                        gameObject11.GetComponent<Button>().onClick.AddListener(delegate
                        {
                            AdjustAxis(bone, "X");
                        });
                        gameObject13.GetComponent<Button>().onClick.AddListener(delegate
                        {
                            AdjustAxis(bone, "Y");
                        });
                        gameObject15.GetComponent<Button>().onClick.AddListener(delegate
                        {
                            AdjustAxis(bone, "Z");
                        });
                        gameObject18.GetComponent<Slider>().onValueChanged.AddListener(delegate (float param0)
                        {
                            switch(bone._currentBoneOperation)
                            {
                                case BoneK.BoneOperation.Scaling: bone._scales[bone._currentAxisIndex] = bone._slider.value; break;
                                case BoneK.BoneOperation.Rotation: bone._angles[bone._currentAxisIndex] = SliderToAngle(bone._slider.value); break;
                                case BoneK.BoneOperation.Translation: bone._localTranslation[bone._currentAxisIndex] = SliderToTranslation(bone._slider.value); break;
                            }

                            CheckBoneLink(bone);
                            ScaleMirror(bone);
                        });
                        gameObject6.transform.SetParent(_gridla.transform, false);
                    }
                    num++;
                }
                MainBK.debonelist = null;
                string text3 = File.ReadAllText(_pathtofile + "Default.li");
                _bonenameslist = text3.Split(new string[]
                {
                    "\r\n",
                    "\n"
                }, StringSplitOptions.None);
            }
        }
    }

    private void Savadata(List<BoneK> list)
    {
        if (_saveval != "" && list.Count > 0)
        {
            string text = "";
            foreach (BoneK current in list)
            {
                text = string.Concat(new object[]
                {
                    text,
                    current._boneName,
                    " ",
                    current._boneIndex,
                    " ",
                    current._scales.x,
                    " ",
                    current._scales.y,
                    " ",
                    current._scales.z,
                    " ",
                    current._angles.x,
                    " ",
                    current._angles.y,
                    " ",
                    current._angles.z,
                    "\r\n"
                });
            }
            File.WriteAllText(_pathtofile + "/save/" + _saveval + ".li", text);
        }
    }

    private void Loaddata(bool load, string filename, MainBoneK mainBK = null)
    {
        if (!load)
        {
            _loadingBK = mainBK;

            if (!_liLoaded)
            {
                _liLoaded = true;

                DirectoryInfo directoryInfo = new DirectoryInfo(_pathtofile + "/save/");
                FileInfo[] files = directoryInfo.GetFiles("*.*");
                FileInfo[] array = files;
                for (int i = 0; i < array.Length; i++)
                {
                    FileInfo fi = array[i];
                    if (fi.Extension.Contains("li"))
                    {
                        GameObject gameObject = new GameObject("tempname");
                        gameObject.AddComponent<RectTransform>();
                        gameObject.AddComponent<CanvasRenderer>();
                        gameObject.AddComponent<Image>();
                        gameObject.GetComponent<Image>().color = new Color(0.2f, 0.2f, 0.2f, 0.2f);
                        GameObject gameObject2 = new GameObject("buttontex");
                        gameObject2.transform.parent = gameObject.transform;
                        gameObject2.AddComponent<RectTransform>();
                        gameObject2.AddComponent<CanvasRenderer>();

                        RectTransform component = gameObject2.GetComponent<RectTransform>();
                        component.sizeDelta = new Vector2(170f, 20f);
                        component.localPosition = new Vector3(-165f, 0f, 0f);

                        GameObject gameObject3 = new GameObject("buttontext");
                        gameObject3.transform.parent = gameObject2.transform;

                        RectTransform component2 = gameObject3.AddComponent<RectTransform>();
                        component2.sizeDelta = new Vector2(170f, 20f);
                        component2.localPosition = new Vector3(0f, 0f, 0f);

                        //gameObject3.AddComponent<CanvasRenderer>();

                        var textComponent = gameObject3.AddComponent<Text>();
                        textComponent.font = _defaultFont;
                        textComponent.alignment = TextAnchor.MiddleLeft;
                        textComponent.fontSize = 13;
                        textComponent.text = "  " + fi.Name;

                        gameObject2.AddComponent<Button>().onClick.AddListener(delegate
                        {
                            Loaddata(true, fi.Name);

                            //foreach (Transform transform in _loadGrid.transform)
                            //{
                            //	UnityEngine.Object.Destroy(transform.gameObject);
                            //}
                        });
                        gameObject.transform.SetParent(_loadGrid.transform, false);
                    }
                }
            }

            return;
        }

        mainBK = _loadingBK;

        string text = File.ReadAllText(_pathtofile + "/save/" + filename);
        _bonenameslist = text.Split(new string[]
        {
            "\r\n",
            "\n"
        }, StringSplitOptions.None);
        _maingrid.SetActive(false);
        _optionScreen.SetActive(false);
        foreach (BoneK current in mainBK.bonelist)
        {
            current._bone.transform.localScale = current._initialLocalScale;
            current._bone.transform.localRotation = current._initialLocalRotation;
            current._bone.transform.localPosition = current._initialLocalPosition;
        }
        mainBK.bonelist.Clear();
        RecreateList(mainBK.Bone.transform, mainBK);
    }

    private static Texture2D LoadPNG(string filePath)
    {
        Texture2D texture2D = null;
        if (File.Exists(filePath))
        {
            byte[] data = File.ReadAllBytes(filePath);
            texture2D = new Texture2D(2, 2);
            texture2D.LoadImage(data);
        }
        return texture2D;
    }

    [DllImport("user32.dll", CharSet = CharSet.Unicode)]
    public static extern int MessageBox(IntPtr hWnd, String text, String caption, uint type);

    private void Update()
    {
        if (Input.GetKeyUp("b"))
        {
            //MessageBox(new IntPtr(0), "Hello World!", "Hello Dialog", 0);

            if (_enableRoot)
            {
                _maingrid.SetActive(false);
                _enableRoot = false;
                _optionScreen.SetActive(false);
            }
            else
            {
                _enableRoot = true;
                GameObject[] array = UnityEngine.Object.FindObjectsOfType(typeof(GameObject)) as GameObject[];
                for (int i = 0; i < array.Length; i++)
                {
                    GameObject gameObject = array[i];
                    if (gameObject.transform.name == "cf_body_01")
                    {
                        bool flag = true;
                        foreach (MainBoneK current in _mainBoneList)
                        {
                            if (gameObject == current.Bone)
                            {
                                flag = false;
                                break;
                            }
                        }
                        if (flag)
                        {
                            MainBoneK mainBoneK = new MainBoneK();
                            mainBoneK.bonelist = new List<BoneK>();
                            mainBoneK.Bone = gameObject;
                            mainBoneK.track = gameObject.GetComponentsInChildren<Transform>().FirstOrDefault((Transform t) => t.name == "cf_J_Head_s");
                            _mainBoneList.Add(mainBoneK);
                        }
                    }
                }
            }
        }
        if (_enableRoot)
        {
            foreach (MainBoneK current2 in _mainBoneList)
            {
                Vector3 pos = _pixelcam.WorldToScreenPoint(current2.track.position);
                current2.pos = pos;
            }
        }
        foreach (MainBoneK current3 in _mainBoneList)
        {
            if (!current3.Bone)
            {
                _maingrid.SetActive(false);
                _optionScreen.SetActive(false);
                _mainBoneList.Remove(current3);
            }
        }
        if (_maingrid.activeSelf)
        {
            if (_timer <= 0f)
            {
                foreach (Transform transform in _gridla.transform)
                {
                    if (transform != null)
                    {
                        if (_searchvalue == "showall")
                        {
                            if (!transform.gameObject.activeSelf)
                            {
                                transform.gameObject.SetActive(true);
                            }
                        }
                        else if (transform.name.Contains(_searchvalue))
                        {
                            if (!transform.gameObject.activeSelf)
                            {
                                transform.gameObject.SetActive(true);
                            }
                        }
                        else if (transform.gameObject.activeSelf)
                        {
                            transform.gameObject.SetActive(false);
                        }
                    }
                }
                _timer = 1f;
                return;
            }
            _timer -= Time.deltaTime;
        }
    }

    public void OnLevelWasInitialized(int level)
    {
        if (GameObject.Find("GUICamera"))
        {
            _screensize.x = (float)Screen.width;
            _screensize.y = (float)Screen.height;
            _pixelcam = GameObject.Find("GUICamera").GetComponent<Camera>();
            GameObject[] array = UnityEngine.Object.FindObjectsOfType(typeof(GameObject)) as GameObject[];
            for (int i = 0; i < array.Length; i++)
            {
                GameObject gameObject = array[i];
                if (gameObject.name == "LeftEyeAnchor" && gameObject.GetComponent<Camera>())
                {
                    _pixelcam = gameObject.GetComponent<Camera>();
                    break;
                }
            }
            _screensize.x = _pixelcam.pixelWidth;
            _screensize.y = _pixelcam.pixelHeight;
            _vr = _screensize.x / 4f;
            _cam = GameObject.Find("GUICamera").GetComponent<Camera>();
            return;
        }
        _vr = 0f;
        _screensize.x = (float)Screen.width;
        _screensize.y = (float)Screen.height;
        if (GameObject.FindGameObjectWithTag("MainCamera"))
        {
            _cam = GameObject.FindGameObjectWithTag("MainCamera").GetComponent<Camera>();
            _pixelcam = _cam;
        }
    }

    private void OnGUI()
    {
        if (_enableRoot)
        {
            foreach (MainBoneK current in _mainBoneList)
            {
                if (GUI.Button(new Rect(_vr + current.pos.x, _screensize.y - current.pos.y, 50f, 50f), _headicon))
                {
                    if (_maingrid.activeSelf)
                    {
                        _maingrid.SetActive(false);
                    }
                    else
                    {
                        _maingrid.SetActive(true);
                        RecreateList(current.Bone.transform, current);
                    }
                    return;
                }
            }
            GUI.SetNextControlName("inputcustom");
            _tempString = GUI.TextField(new Rect(0f, 0f, 0f, 0f), _tempString, 25);
            _tempString = _Cleanstr(_tempString, _inputfloat);
            if (_inputset && _updatetext != null)
            {
                _updatetext.text = _tempString;
                if (_editBonk && _depthbone != null)
                {
                    float num = float.Parse(_tempString);
                    if ((double)num >= 0.1 && num <= 3f)
                    {
                        _depthbone._slider.value = num;
                    }
                }
                if (_returndoes == 2)
                {
                    _saveval = _tempString;
                }
                else if (_returndoes == 3)
                {
                    _searchvalue = _tempString;
                }
            }
            if (_focus)
            {
                GUI.FocusControl("inputcustom");
                _focus = false;
            }
        }
    }

    private void Focus(int returndoes, Text inputtext, bool inputfloat)
    {
        _focus = true;
        _inputset = true;
        _inputfloat = inputfloat;
        _updatetext = inputtext;
        _tempString = inputtext.text;
        if (_editBonk && _depthbone != null)
        {
            _tempString = string.Concat(_depthbone._slider.value);
        }
        if (returndoes == 2)
        {
            _saveval = "";
            _tempString = "";
        }
        if (returndoes == 3)
        {
            _tempString = "showall";
        }
        _returndoes = returndoes;
    }

    private string _Cleanstr(string str, bool isfloat)
    {
        string text;
        if (isfloat)
        {
            text = Regex.Replace(str, "[^0-9.]", "");
            if (text.Split(new char[]
            {
                "."[0]
            }).Count<string>() > 1)
            {
                bool flag = false;
                string text2 = "";
                string text3 = text;
                for (int i = 0; i < text3.Length; i++)
                {
                    char c = text3[i];
                    if (!(c.ToString() == ".") || !flag)
                    {
                        text2 += c;
                        if (c.ToString() == "." && !flag)
                        {
                            flag = true;
                        }
                    }
                }
                text = text2;
            }
        }
        else
        {
            text = Regex.Replace(str, "[^a-zA-Z0-9 ]", "");
        }
        return text;
    }

    //private void ApplyTranslationToChildren(Transform transform, Vector3 translation)
    //{
    //    for (int i = 0; i < transform.childCount; i++)
    //    {
    //        var childTransform = transform.GetChild(i);

    //        childTransform.position += translation;
    //        ApplyTranslationToChildren(childTransform, translation);
    //    }
    //}

    public void LateUpdate()
    {
        foreach (MainBoneK mainBone in _mainBoneList)
        {
            //foreach (BoneK bone in mainBone.bonelist)
            //{
            //    if (bone._bone)
            //    {
            //        bone._bone.transform.position = bone._initialPosition;
            //    }
            //}

            foreach (BoneK bone in mainBone.bonelist)
            {
                if (bone._bone)
                {
                    // problems with position: failed to apply correctly
                    //bone._bone.transform.localPosition += bone._localPosition;
                    //bone._bone.transform.Translate(bone._localTranslation);
                    //ApplyTranslationToChildren(bone._bone.transform, bone._localTranslation);
                    bone._bone.transform.localScale = Vector3.Scale(bone._initialLocalScale, bone._scales);
                    bone._bone.transform.localRotation = bone._initialLocalRotation * Quaternion.Euler(bone._angles);
                }
                else
                {
                    mainBone.bonelist.Remove(bone);
                }
            }
        }
    }
}
